<?
session_start();
include("./config.inc.php");
$tpl=new Template();
$tpl->define(array(
	"head"=>"head.tpl",
	"index"=>"adm_auth.tpl",
	"error"=>"error.tpl",
	"foot"=>"foot.tpl",
));
$tpl->assign("{SCRIPT}", $PHP_SELF);
$tpl->assign("{ADM_MENU}", "");
$start=$tpl->utime();

IF($_SESSION['logged']!='1'):
	if(!isset($_POST['submit'])) {
	$tpl->assign("{TITLE}", "- авторизация");
	$tpl->parse("HEAD", "head");
	$tpl->parse("INDEX", "index");
	$tpl->FastPrint("HEAD");
	$tpl->FastPrint("INDEX");
	} else{
		if(empty($_POST['login'])) {
			$tpl->assign("{ERROR}", "Поле 'Login' является обязательным. Вернитесь и заполните.");
			$tpl->parse("ERROR", "error");
			$tpl->FastPrint("ERROR");
			exit;
		};
		if(empty($_POST['pass'])) {
			$tpl->assign("{ERROR}", "Поле 'Password' является обязательным. Вернитесь и заполните.");
			$tpl->parse("ERROR", "error");
			$tpl->FastPrint("ERROR");
			exit;
		};
	
	$m=sql();
	$q=mysql_query("SELECT id,login,pass FROM ".$GLOBALS['tbl_users']." WHERE login='".$_POST['login']."' LIMIT 1");
		if(mysql_num_rows($q)=='0') {
			$tpl->assign("{ERROR}", "Учетной записи \"".$_POST['login']."\" в Базе данных не существует.");
			$tpl->parse("ERROR", "error");
			$tpl->FastPrint("ERROR");
			exit;
		} else{
		list($_id,$_login,$_pass)=mysql_fetch_row($q);
			if(md5($_POST['pass'])!=$_pass) {
			$tpl->assign("{ERROR}", "Был введён неверный пароль.");
			$tpl->parse("ERROR", "error");
			$tpl->FastPrint("ERROR");
			exit;
			} else{
			$_SESSION['logged']="1";
			$_SESSION['id']=$_id;
			$_COOKIE['nick']=$_login;
			header("Location: ./admin.php"); exit;
			};
		};
	mysql_free_result($q);
	mysql_close($m);
	exit;
	};

$end=$tpl->utime();
$tpl->assign("{GEN_TIME}", sprintf("%01.3f ", ($end-$start)));
$tpl->parse("FOOT", "foot");
$tpl->FastPrint("FOOT");

ELSE:
header("Location: ./admin.php"); exit;

ENDIF;
?>